Issue #5174 has been updated by gfim (Graham Menhennitt).


Unfortunately, ruby_options(0, 0) causes a SEGV in 1.9.3p327. The crash has been fixed ([Bug #7423]), but I don't think that ruby_options(0, 0) works correctly. It causes the embedded Ruby interpreter to read from standard input (the same as if you just typed "ruby" at a command prompt). I agree that ruby_options(0, 0) would be an acceptable alternative if it worked.
----------------------------------------
Feature #5174: Export ruby_init_prelude()
https://bugs.ruby-lang.org/issues/5174#change-34396

Author: shugo (Shugo Maeda)
Status: Feedback
Priority: Normal
Assignee: nobu (Nobuyoshi Nakada)
Category: core
Target version: next minor


Please export ruby_init_prelude() so that ruby embedded applications such as mod_ruby can call it without calling ruby_options().




-- 
http://bugs.ruby-lang.org/